<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ include file="validar.jsp" %>
<!DOCTYPE html>
<html lang="es">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<meta charset="utf-8" />
		<title>:::SISTEMA DE HORARIOS:::</title>

		<meta name="description" content="overview &amp; stats" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />

		<link rel="stylesheet" href="../assets/css/bootstrap.css" />
		<link rel="stylesheet" href="../assets/css/font-awesome.css" />
		<link rel="stylesheet" href="../assets/css/jquery-ui.css" />
		<link rel="stylesheet" href="../assets/css/ace-fonts.css" />
		<link rel="stylesheet" href="../assets/css/ace.css" class="ace-main-stylesheet" id="main-ace-style" />
		<script src="../assets/js/ace-extra.js"></script>


		<link href="css/display.css" rel="stylesheet" type="text/css"/>
		<!-- inline scripts related to this page -->
		<script type="text/javascript" language="javascript">

			/*$(document).ready( function() {
			 jQuery("#registroEncuesta").validationEngine();
			 });*/
		</script>

	</head>

	<body class="no-skin" onLoad="cargar();">
		<!-- #section:basics/navbar.layout -->
		<div id="navbar" class="navbar navbar-default">
			<script type="text/javascript">
				try {
					ace.settings.check('navbar', 'fixed')
				} catch (e) {
				}
			</script>

			<div class="navbar-container" id="navbar-container">
				<%@ include file="banner.jsp" %>
			</div><!-- /.navbar-container -->

			<p id="lblUsuario"><%=usuario!=null?usuario.getCodigoTipoUsuario():""%></p>




		</div>

		<!-- /section:basics/navbar.layout -->
		<div class="main-container" id="main-container">
			<script type="text/javascript">
				try {
					ace.settings.check('main-container', 'fixed')
				} catch (e) {
				}
			</script>

			<!-- #section:basics/sidebar -->
			<div id="sidebar" class="sidebar                  responsive">
				<script type="text/javascript">
					try {
						ace.settings.check('sidebar', 'fixed')
					} catch (e) {
					}
				</script>
				<input id="codModulo" type="hidden" value="<%=menu!=null?menu.getCodModulo():""%>">
				<input id="codCategoria" type="hidden" value="<%=menu!=null?menu.getCodCategoria():""%>">
				<%@ include file="menu.jsp" %>
				<!-- #section:basics/sidebar.layout.minimize -->
				<div class="sidebar-toggle sidebar-collapse" id="sidebar-collapse">
					<i class="ace-icon fa fa-angle-double-left" data-icon1="ace-icon fa fa-angle-double-left" data-icon2="ace-icon fa fa-angle-double-right"></i>
				</div>
				<!-- /section:basics/sidebar.layout.minimize -->
				<script type="text/javascript">
					try {
						ace.settings.check('sidebar', 'collapsed')
					} catch (e) {
					}
				</script>
			</div>

			<!-- /section:basics/sidebar -->
			<div class="main-content">
				<div class="main-content-inner">
					<!-- #section:basics/content.breadcrumbs -->
					<div class="breadcrumbs" id="breadcrumbs">
						<script type="text/javascript">
							try {
								ace.settings.check('breadcrumbs', 'fixed')
							} catch (e) {
							}
						</script>

						<ul class="breadcrumb">
							<li>
								<i class="ace-icon fa fa-home home-icon"></i>
								<a href="principal.jsp">INICIO</a>
							</li>
							<li class="active">DOCENTE</li>
						</ul><!-- /.breadcrumb -->
					</div>

					<!-- /section:basics/content.breadcrumbs -->
					<div class="page-content">

						<div class="page-header">
							<h1>
								Docente
								<small>
									<i class="ace-icon fa fa-angle-double-right"></i>
									Disponibilidad
								</small>
							</h1>
						</div><!-- /.page-header -->

						<div class="row">





							<!-- ----------- CONTENEDOR DE FORMULARIOS--------INI----- -->
							<div class="col-sm-12" style="width:100%;">

								<div  class="col-sm-4"></div>
								<div  class="col-sm-4">
									<div class="widget-box widget-color-blue">
										<div class="widget-header">
											<h4 class="widget-title">Búsqueda de Docentes</h4>
										</div>

										<div class="widget-body">
											<div class="widget-main no-padding">
												<form id="nombreDocente"  method="post">
													<fieldset>
														<label>Ingrese Apellidos del Docente <span style='color:red;'>*</span></label>
														<div>
															<input type="text" id="txt_bus_doc" size="80" class='form-control validate[required ,custom[onlyLetterSp]]'  onChange="conMayusculas(this);" onkeypress="enter(event);"> 
														</div>
													</fieldset>
													<div class="form-actions center">
														<button  class="btn btn-sm btn-info" type="button" onclick="validar_busqueda();">
															<i class="ace-icon fa fa-search icon-on-right bigger-110"></i>
															Buscar
														</button>
													</div>
												</form>
											</div>
										</div>
									</div>
								</div>
								<div  class="col-sm-4"></div>

							</div>
							<div class="col-sm-12" style="width:100%; height: 40px;"></div>
							<div  class="col-sm-12" style="width:100%;">
								<div  class="col-sm-1" ></div>
								<div  class="col-sm-10">
									<!-- -------------TABLA---INI------------ -->
									<div style='display: none;' id='divListadoDoc'>

									</div>
									<!-- -------------TABLA---FIN------------ -->
								</div>
								<div  class="col-sm-1"></div>
							</div>
							<!-- ----------- CONTENEDOR DE FORMULARIOS--------FIN----- -->




							<!-- ::::::::::-ALERTAS-::::::::::::::: -->
							<input type="hidden" id="ape">
							<input id='pagina' type='hidden'>

							<div id="dialog-noti1" class="hide">
								<br>
								La disponibilidad del Docente se registro con éxito.
								<br><br>
							</div>

							<div id="dialog-noti2" class="hide">
								<br>
								Se actualizó con éxito.
								<br><br>
							</div>

							<div id="dialog-confor1" class="hide">
								<br>
								¿Está seguro de modificar el registro? 
								<br><br>
							</div>

							<div id="dialog-confor2" class="hide">
								<br>
								¿Está seguro de asignarle la disponibilidad?
								<br><br>
							</div>

							<div id="dialog-advertencia1" class="hide">
								<br>
								Debe Seleccionar al menos un día para asignar. 
								<br><br>
							</div>

							<div id="dialog-advertencia2" class="hide">
								<br>
								Ocurrio un error. 
								<br><br>
							</div>


							<div id="dialog-Alerta2" class="hide">
								<br>
								Ocurrió un error en el registro.
								<br><br>
							</div>

							<div id="dialog-edit" class="hide">
								<br>
								<form name="disponibilidad" id="disponibilidad" class="formular" method="post">
									<div id="divFormulario"></div>
								</form>
								<br><br>
							</div>

							<div id="dialog-cargando" class="hide">
								<table cellpadding="0" cellspacing="0" width="100%">
									<tr><td align="center"><img src="imagenes/cargando.gif" border=0></td></tr>
								</table>
							</div>



							<!-- ::::::::::-ALERTAS-::::::::::::::: -->


						</div><!-- /.row -->
					</div><!-- /.page-content -->
				</div>
			</div><!-- /.main-content -->

			<div class="footer">
				<%@ include file="footer.jsp" %>
			</div>

			<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
				<i class="ace-icon fa fa-angle-double-up icon-only bigger-110"></i>
			</a>
		</div><!-- /.main-container -->

		<!-- basic scripts -->

		<!--[if !IE]> -->
		<script type="text/javascript">
			window.jQuery || document.write("<script src='../assets/js/jquery.js'>" + "<" + "/script>");
		</script>

		<!-- <![endif]-->

		<!--[if IE]>
<script type="text/javascript">
 window.jQuery || document.write("<script src='../assets/js/jquery1x.js'>"+"<"+"/script>");
</script>
<![endif]-->
		<script type="text/javascript">
			if ('ontouchstart' in document.documentElement)
				document.write("<script src='../assets/js/jquery.mobile.custom.js'>" + "<" + "/script>");
		</script>
		<script src="../assets/js/bootstrap.js"></script>

		<!-- page specific plugin scripts -->
		<script src="../assets/js/jquery-ui.js"></script>
		<script src="../assets/js/jquery.ui.touch-punch.js"></script>

		<!--[if lte IE 8]>
			<script src="../assets/js/excanvas.js"></script>
		<![endif]-->
		<script src="../assets/js/jquery-ui.custom.js"></script>
		<script src="../assets/js/jquery.ui.touch-punch.js"></script>
		<script src="../assets/js/jquery.easypiechart.js"></script>
		<script src="../assets/js/jquery.sparkline.js"></script>
		<script src="../assets/js/flot/jquery.flot.js"></script>
		<script src="../assets/js/flot/jquery.flot.pie.js"></script>
		<script src="../assets/js/flot/jquery.flot.resize.js"></script>

		<!-- ace scripts -->
		<script src="../assets/js/ace/elements.scroller.js"></script>
		<script src="../assets/js/ace/elements.colorpicker.js"></script>
		<script src="../assets/js/ace/elements.fileinput.js"></script>
		<script src="../assets/js/ace/elements.typeahead.js"></script>
		<script src="../assets/js/ace/elements.wysiwyg.js"></script>
		<script src="../assets/js/ace/elements.spinner.js"></script>
		<script src="../assets/js/ace/elements.treeview.js"></script>
		<script src="../assets/js/ace/elements.wizard.js"></script>
		<script src="../assets/js/ace/elements.aside.js"></script>
		<script src="../assets/js/ace/ace.js"></script>
		<script src="../assets/js/ace/ace.ajax-content.js"></script>
		<script src="../assets/js/ace/ace.touch-drag.js"></script>
		<script src="../assets/js/ace/ace.sidebar.js"></script>
		<script src="../assets/js/ace/ace.sidebar-scroll-1.js"></script>
		<script src="../assets/js/ace/ace.submenu-hover.js"></script>
		<script src="../assets/js/ace/ace.widget-box.js"></script>
		<script src="../assets/js/ace/ace.settings.js"></script>
		<script src="../assets/js/ace/ace.settings-rtl.js"></script>
		<script src="../assets/js/ace/ace.settings-skin.js"></script>
		<script src="../assets/js/ace/ace.widget-on-reload.js"></script>
		<script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
		<script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>


		<link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
		<!--<link rel="stylesheet" href="css/template.css" type="text/css"/>-->


		<!-- inline scripts related to this page -->
		<script type="text/javascript">

			jQuery(function ($) {


				//override dialog's title function to allow for HTML titles
				$.widget("ui.dialog", $.extend({}, $.ui.dialog.prototype, {
					_title: function (title) {
						var $title = this.options.title || '&nbsp;'
						if (("title_html" in this.options) && this.options.title_html == true)
							title.html($title);
						else
							title.text($title);
					}
				}));



				$("#id-btn-dialog2").on('click', function (e) {//--
					e.preventDefault();
					$("#dialog-confirm").removeClass('hide').dialog({
						resizable: false,
						modal: true,
						title: "<div class='widget-header'><h4 class='smaller'><i class='ace-icon fa fa-exclamation-triangle red'></i> Empty the recycle bin?</h4></div>",
						title_html: true,
						buttons: [
							{
								html: "<i class='ace-icon fa fa-trash-o bigger-110'></i>&nbsp; Delete all items",
								"class": "btn btn-danger btn-xs",
								click: function () {
									$(this).dialog("close");
								}
							}
							,
							{
								html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; Cancel",
								"class": "btn btn-xs",
								click: function () {
									$(this).dialog("close");
								}
							}
						]
					});
				});

				$('.easy-pie-chart.percentage').each(function () {
					var $box = $(this).closest('.infobox');
					var barColor = $(this).data('color') || (!$box.hasClass('infobox-dark') ? $box.css('color') : 'rgba(255,255,255,0.95)');
					var trackColor = barColor == 'rgba(255,255,255,0.95)' ? 'rgba(255,255,255,0.25)' : '#E2E2E2';
					var size = parseInt($(this).data('size')) || 50;
					$(this).easyPieChart({
						barColor: barColor,
						trackColor: trackColor,
						scaleColor: false,
						lineCap: 'butt',
						lineWidth: parseInt(size / 10),
						animate: /msie\s*(8|7|6)/.test(navigator.userAgent.toLowerCase()) ? false : 1000,
						size: size
					});
				})

				$('.sparkline').each(function () {
					var $box = $(this).closest('.infobox');
					var barColor = !$box.hasClass('infobox-dark') ? $box.css('color') : '#FFF';
					$(this).sparkline('html',
						{
							tagValuesAttribute: 'data-values',
							type: 'bar',
							barColor: barColor,
							chartRangeMin: $(this).data('min') || 0
						});
				});


				//flot chart resize plugin, somehow manipulates default browser resize event to optimize it!
				//but sometimes it brings up errors with normal resize event handlers
				$.resize.throttleWindow = false;

				var placeholder = $('#piechart-placeholder').css({'width': '90%', 'min-height': '150px'});
				var data = [
					{label: "social networks", data: 38.7, color: "#68BC31"},
					{label: "search engines", data: 24.5, color: "#2091CF"},
					{label: "ad campaigns", data: 8.2, color: "#AF4E96"},
					{label: "direct traffic", data: 18.6, color: "#DA5430"},
					{label: "other", data: 10, color: "#FEE074"}
				]
				function drawPieChart(placeholder, data, position) {
					$.plot(placeholder, data, {
						series: {
							pie: {
								show: true,
								tilt: 0.8,
								highlight: {
									opacity: 0.25
								},
								stroke: {
									color: '#fff',
									width: 2
								},
								startAngle: 2
							}
						},
						legend: {
							show: true,
							position: position || "ne",
							labelBoxBorderColor: null,
							margin: [-30, 15]
						}
						,
						grid: {
							hoverable: true,
							clickable: true
						}
					})
				}
				drawPieChart(placeholder, data);

				/**
				 we saved the drawing function and the data to redraw with different position later when switching to RTL mode dynamically
				 so that's not needed actually.
				 */
				placeholder.data('chart', data);
				placeholder.data('draw', drawPieChart);


				//pie chart tooltip example
				var $tooltip = $("<div class='tooltip top in'><div class='tooltip-inner'></div></div>").hide().appendTo('body');
				var previousPoint = null;

				placeholder.on('plothover', function (event, pos, item) {
					if (item) {
						if (previousPoint != item.seriesIndex) {
							previousPoint = item.seriesIndex;
							var tip = item.series['label'] + " : " + item.series['percent'] + '%';
							$tooltip.show().children(0).text(tip);
						}
						$tooltip.css({top: pos.pageY + 10, left: pos.pageX + 10});
					} else {
						$tooltip.hide();
						previousPoint = null;
					}

				});

				/////////////////////////////////////
				$(document).one('ajaxloadstart.page', function (e) {
					$tooltip.remove();
				});




				var d1 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.5) {
					d1.push([i, Math.sin(i)]);
				}

				var d2 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.5) {
					d2.push([i, Math.cos(i)]);
				}

				var d3 = [];
				for (var i = 0; i < Math.PI * 2; i += 0.2) {
					d3.push([i, Math.tan(i)]);
				}


				var sales_charts = $('#sales-charts').css({'width': '100%', 'height': '220px'});
				$.plot("#sales-charts", [
					{label: "Domains", data: d1},
					{label: "Hosting", data: d2},
					{label: "Services", data: d3}
				], {
					hoverable: true,
					shadowSize: 0,
					series: {
						lines: {show: true},
						points: {show: true}
					},
					xaxis: {
						tickLength: 0
					},
					yaxis: {
						ticks: 10,
						min: -2,
						max: 2,
						tickDecimals: 3
					},
					grid: {
						backgroundColor: {colors: ["#fff", "#fff"]},
						borderWidth: 1,
						borderColor: '#555'
					}
				});


				$('#recent-box [data-rel="tooltip"]').tooltip({placement: tooltip_placement});
				function tooltip_placement(context, source) {
					var $source = $(source);
					var $parent = $source.closest('.tab-content')
					var off1 = $parent.offset();
					var w1 = $parent.width();

					var off2 = $source.offset();
					//var w2 = $source.width();

					if (parseInt(off2.left) < parseInt(off1.left) + parseInt(w1 / 2))
						return 'right';
					return 'left';
				}


				$('.dialogs,.comments').ace_scroll({
					size: 300
				});


				//Android's default browser somehow is confused when tapping on label which will lead to dragging the task
				//so disable dragging when clicking on label
				var agent = navigator.userAgent.toLowerCase();
				if ("ontouchstart" in document && /applewebkit/.test(agent) && /android/.test(agent))
					$('#tasks').on('touchstart', function (e) {
						var li = $(e.target).closest('#tasks li');
						if (li.length == 0)
							return;
						var label = li.find('label.inline').get(0);
						if (label == e.target || $.contains(label, e.target))
							e.stopImmediatePropagation();
					});

				$('#tasks').sortable({
					opacity: 0.8,
					revert: true,
					forceHelperSize: true,
					placeholder: 'draggable-placeholder',
					forcePlaceholderSize: true,
					tolerance: 'pointer',
					stop: function (event, ui) {
						//just for Chrome!!!! so that dropdowns on items don't appear below other items after being moved
						$(ui.item).css('z-index', 'auto');
					}
				}
				);
				$('#tasks').disableSelection();
				$('#tasks input:checkbox').removeAttr('checked').on('click', function () {
					if (this.checked)
						$(this).closest('li').addClass('selected');
					else
						$(this).closest('li').removeClass('selected');
				});


				//show the dropdowns on top or bottom depending on window height and menu position
				$('#task-tab .dropdown-hover').on('mouseenter', function (e) {
					var offset = $(this).offset();

					var $w = $(window)
					if (offset.top > $w.scrollTop() + $w.innerHeight() - 100)
						$(this).addClass('dropup');
					else
						$(this).removeClass('dropup');
				});



			});

			//::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

			$(document).ready(function () {
				jQuery("#registroEncuesta").validationEngine();
			});

			function conMayuscula(field) {
				field.value = field.value.toUpperCase();
			}

			function cargando() {
				$("#dialog-cargando").removeClass('hide').dialog({
					resizable: false,
					modal: true,
					title: "<div class='widget-header' ><h4 class='smaller'><i class='fa fa-spinner'></i> Cargando...</h4></div>",
					title_html: true
				});
			}

			function close_carga() {
				$("#dialog-cargando").dialog("close");
			}

			function validar_busqueda() {
				var estado = jQuery('#nombreDocente').validationEngine('validate');
				if (estado) {
					//si esta vacio
					var pagina = 1;
					BuscarDocente(pagina);
				} else {
					$("#divListadoDoc").fadeOut();
					$("#txt_bus_doc").val("");

				}
			}
			function BuscarDocente(pagina) {
				var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
				var accion = "";
				var apellido = $("#txt_bus_doc").val();
				$("#ape").val(apellido);
				var cantidad = 15;
				$.ajax({
					type: 'POST',
					url: '../ServletDocente?Accion=listaBusqueda',
					data: 'accion=' + accion + '&apellido=' + apellido + '&cantidad=' + cantidad + '&pagina=' + pagina + '&periodo=' + periodo,
					beforeSend: function () {
						cargando();
					}, success: function (resultado) {
						close_carga();
						$("#divListadoDoc").html(resultado);
					}, complete: function () {
						if (apellido == "") {
							$("#divListadoDoc").fadeOut();
						} else {
							$("#divListadoDoc").fadeIn();
						}

					}
				});

			}

			function exportar(codDoc) {
				window.location = "exportarDisponibilidad.jsp?codDoc=" + codDoc;
			}

			function exportarDisponibilidad() {
				window.location = "exportarDisponibilidadTotal.jsp";
			}


			//------------------------------


			function armarEdicion(codDoc, pagina) {
				var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
				$.ajax({
					type: 'POST',
					url: '../ServletDocente?Accion=armarEdicion',
					data: 'codDoc=' + codDoc + '&periodo=' + periodo,
					beforeSend: function () {
						cargando();
					}, success: function (resultado) {
						close_carga();
						$("#divFormulario").html(resultado);
					}
					, complete: function () {
						var selec = $("#selec").val();
						alerta1(codDoc, pagina);
					}
				});
			}



			function alerta1(codDoc, pagina) {
				let hide = ''
				let usu = $("#lblUsuario").text();
				if (usu === "6") {
					hide = 'hide'
				}

				$("#dialog-edit").removeClass('hide').dialog({
					resizable: false,
					width: 830,
					height: 410,
					modal: true,
					title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Asignar Disponibilidad</span></h4></div></div>",
					title_html: true,
					buttons: [
						{
							html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ASIGNAR",
							"class": "btn btn-primary btn-xs " + hide,
							"id": "btnAsignar",
							click: function () {
								asignar(codDoc, pagina);

							}
						}, {
							html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; CANCELAR",
							"class": "btn btn-danger btn-xs",
							click: function () {
								$(this).dialog("close");
							}
						}
					]
				});
			}

			function asignar(codDoc, pagina) {
				var cant = 18;
				var cadena = "";
				for (i = 1; i <= cant; i++) {
					var asignar = $("input[name='chk_" + i + "']:checked").val();
					if (asignar != "" && asignar != undefined) {
						if (cadena == "") {
							cadena += asignar;
						} else {
							cadena += "-" + asignar;
						}
					}
				}
				
				
				if (cadena == "") {
					alerta2();
				} else {
					alerta3(codDoc, cadena, pagina);
				}
				
				

			}

			function alerta2() {
				$("#dialog-advertencia1").removeClass('hide').dialog({
					resizable: false,
					width: 400,
					modal: true,
					title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
					title_html: true,
					buttons: [
						{
							html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
							"class": "btn btn-warning btn-xs",
							click: function () {
								$(this).dialog("close");
							}
						}
					]
				});
			}




			function alerta3(codDoc, cadena, pagina) {
				$("#dialog-confor2").removeClass('hide').dialog({
					resizable: false,
					modal: true,
					title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
					title_html: true,
					buttons: [
						{
							html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
							"class": "btn btn-primary btn-xs",
							click: function () {
								registrar(codDoc, cadena, pagina);
							}
						}, {
							html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
							"class": "btn btn-danger btn-xs",
							click: function () {
								$(this).dialog("close");
							}
						}
					]
				});
			}

			function registrar(codDoc, cadena, pagina) {
				var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
				$.ajax({
					type: 'POST',
					url: '../ServletDocente?Accion=RegistrarDisp',
					data: 'codDoc=' + codDoc + '&DiaDis=' + cadena + '&periodo=' + periodo,
					beforeSend: function () {
						cargando();
					}, success: function (resultado) {
						close_carga();
						if (resultado == 1) {
							alerta4(pagina);
						} else if (resultado == 2) {
							alerta5(pagina);
						} else {
							alerta6();
						}
					}, complete: function () {
						$("#dialog-edit").dialog("close");
						$("#dialog-confor2").dialog("close");

					}
				});
			}



			function alerta4(pagina) {
				$("#dialog-noti1").removeClass('hide').dialog({
					resizable: false,
					modal: true,
					title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
					title_html: true,
					buttons: [
						{
							html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ACEPTAR",
							"class": "btn btn-success btn-xs",
							click: function () {
								$(this).dialog("close");
								var apellido = $("#ape").val();
								if (apellido != "") {
									BuscarDocente(pagina);
								} else {
									listarDoc();
								}
							}
						}
					]
				});
			}


			function listarDoc() {
				$.ajax({
					type: 'POST',
					url: '../ServletDocente?Accion=listaDocente',
					data: null,
					beforeSend: function () {
						cargando();
					}, success: function (resultado) {
						close_carga();
						$('#divListadoDoc').html(resultado);
					}, complete: function () {
					}
				});
			}




			function alerta5(pagina) {
				$("#dialog-noti2").removeClass('hide').dialog({
					resizable: false,
					modal: true,
					title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
					title_html: true,
					buttons: [
						{
							html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ACEPTAR",
							"class": "btn btn-success btn-xs",
							click: function () {
								$(this).dialog("close");
								var apellido = $("#ape").val();
								if (apellido != "") {
									BuscarDocente(pagina);
								} else {
									listarDoc();
								}
							}
						}
					]
				});
			}



			function alerta6() {
				$("#dialog-advertencia2").removeClass('hide').dialog({
					resizable: false,
					modal: true,
					title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
					title_html: true,
					buttons: [
						{
							html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
							"class": "btn btn-warning btn-xs",
							click: function () {
								$(this).dialog("close");
							}
						}
					]
				});
			}


			function seleccionar_todo(turno) {
				var dato = $("#dato").val();
				var selec = $("#selec").val();
				var cadenaM = "";
				var cadenaT = "";
				var cadenaN = "";
				var arraySelec = selec.split("-");
				for (i = 0; i < arraySelec.length; i++) {
					var ArrayTurnoD = arraySelec[i].split("#");

					if (ArrayTurnoD[0] == 1) {
						if (cadenaM == "") {
							cadenaM = ArrayTurnoD[1];
						} else {
							cadenaM += "#" + ArrayTurnoD[1];
						}
					} else if (ArrayTurnoD[0] == 2) {
						if (cadenaT == "") {
							cadenaT = ArrayTurnoD[1];
						} else {
							cadenaT += "#" + ArrayTurnoD[1];
						}
					} else if (ArrayTurnoD[0] == 3) {
						if (cadenaN == "") {
							cadenaN = ArrayTurnoD[1];
						} else {
							cadenaN += "#" + ArrayTurnoD[1];
						}
					}


				}

				for (i = 0; i < document.disponibilidad.elements.length; i++) {
					if (document.disponibilidad.elements[i].type == "checkbox") {

						if (turno == "1") {
							if (dato == "1") {
								document.disponibilidad.elements[0].checked = 1
								document.disponibilidad.elements[1].checked = 1
								document.disponibilidad.elements[2].checked = 1
								document.disponibilidad.elements[3].checked = 1
								document.disponibilidad.elements[4].checked = 1
								document.disponibilidad.elements[5].checked = 1
								$("#dato").val("2");
							} else {
								document.disponibilidad.elements[0].checked = 0
								document.disponibilidad.elements[1].checked = 0
								document.disponibilidad.elements[2].checked = 0
								document.disponibilidad.elements[3].checked = 0
								document.disponibilidad.elements[4].checked = 0
								document.disponibilidad.elements[5].checked = 0

								if (cadenaM.indexOf("1") > -1) {
									document.disponibilidad.elements[0].checked = 1
								}
								if (cadenaM.indexOf("2") > -1) {
									document.disponibilidad.elements[1].checked = 1
								}
								if (cadenaM.indexOf("3") > -1) {
									document.disponibilidad.elements[2].checked = 1
								}
								if (cadenaM.indexOf("4") > -1) {
									document.disponibilidad.elements[3].checked = 1
								}
								if (cadenaM.indexOf("5") > -1) {
									document.disponibilidad.elements[4].checked = 1
								}
								if (cadenaM.indexOf("6") > -1) {
									document.disponibilidad.elements[5].checked = 1
								}

								$("#dato").val("1");
							}
						} else if (turno == "2") {
							if (dato == "1") {
								document.disponibilidad.elements[6].checked = 1
								document.disponibilidad.elements[7].checked = 1
								document.disponibilidad.elements[8].checked = 1
								document.disponibilidad.elements[9].checked = 1
								document.disponibilidad.elements[10].checked = 1
								document.disponibilidad.elements[11].checked = 1
								$("#dato").val("2");
							} else {
								document.disponibilidad.elements[6].checked = 0
								document.disponibilidad.elements[7].checked = 0
								document.disponibilidad.elements[8].checked = 0
								document.disponibilidad.elements[9].checked = 0
								document.disponibilidad.elements[10].checked = 0
								document.disponibilidad.elements[11].checked = 0
								if (cadenaT.indexOf("1") > -1) {
									document.disponibilidad.elements[6].checked = 1
								}
								if (cadenaT.indexOf("2") > -1) {
									document.disponibilidad.elements[7].checked = 1
								}
								if (cadenaT.indexOf("3") > -1) {
									document.disponibilidad.elements[8].checked = 1
								}
								if (cadenaT.indexOf("4") > -1) {
									document.disponibilidad.elements[9].checked = 1
								}
								if (cadenaT.indexOf("5") > -1) {
									document.disponibilidad.elements[10].checked = 1
								}
								if (cadenaT.indexOf("6") > -1) {
									document.disponibilidad.elements[11].checked = 1
								}
								$("#dato").val("1");
							}
						} else if (turno == "3") {
							if (dato == "1") {
								document.disponibilidad.elements[12].checked = 1
								document.disponibilidad.elements[13].checked = 1
								document.disponibilidad.elements[14].checked = 1
								document.disponibilidad.elements[15].checked = 1
								document.disponibilidad.elements[16].checked = 1
								document.disponibilidad.elements[17].checked = 1
								$("#dato").val("2");
							} else {
								document.disponibilidad.elements[12].checked = 0
								document.disponibilidad.elements[13].checked = 0
								document.disponibilidad.elements[14].checked = 0
								document.disponibilidad.elements[15].checked = 0
								document.disponibilidad.elements[16].checked = 0
								document.disponibilidad.elements[17].checked = 0
								if (cadenaN.indexOf("1") > -1) {
									document.disponibilidad.elements[12].checked = 1
								}
								if (cadenaN.indexOf("2") > -1) {
									document.disponibilidad.elements[13].checked = 1
								}
								if (cadenaN.indexOf("3") > -1) {
									document.disponibilidad.elements[14].checked = 1
								}
								if (cadenaN.indexOf("4") > -1) {
									document.disponibilidad.elements[15].checked = 1
								}
								if (cadenaN.indexOf("5") > -1) {
									document.disponibilidad.elements[16].checked = 1
								}
								if (cadenaN.indexOf("6") > -1) {
									document.disponibilidad.elements[17].checked = 1
								}
								$("#dato").val("1");
							}
						}
					}
				}
			}





			//------------------------------



			function conMayusculas(field) {
				field.value = field.value.toUpperCase()
			}

			function segundaCarga() {
				//listarArea();
			}

			function listarArea() {
				$.ajax({
					type: 'POST',
					url: '../ServletArea?Accion=listarAreas',
					data: null,
					beforeSend: function () {
						cargando();
					}, success: function (resultado) {
						close_carga();
						$('#divListadoArea').html(resultado);
					}, complete: function () {
					}
				});
			}



			function enter(e) {
				tecla = (document.all) ? e.keyCode : e.which;
				if (tecla == 13)
					validar_busqueda();
			}

			$('input').keypress(function (e) {
				if (e.which == 13) {
					return false;
				}
			});

		</script>

		<!-- the following scripts are used in demo only for onpage help and you don't need them -->

		<link rel="stylesheet" href="../assets/css/ace.onpage-help.css" />
		<link rel="stylesheet" href="../docs/assets/js/themes/sunburst.css" />
		
		<script src="../assets/js/ace/elements.onpage-help.js"></script>
		

		<script type="text/javascript"> ace.vars['base'] = '..';</script>
		<script src="../assets/js/ace/elements.onpage-help.js"></script>
		<script src="../assets/js/ace/ace.onpage-help.js"></script>
		<script src="../docs/assets/js/rainbow.js"></script>
		<script src="../docs/assets/js/language/generic.js"></script>
		<script src="../docs/assets/js/language/html.js"></script>
		<script src="../docs/assets/js/language/css.js"></script>
		<script src="../docs/assets/js/language/javascript.js"></script>



		<script src="js/languages/jquery.validationEngine-es.js" type="text/javascript" charset="utf-8"></script>
		<script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>

</html>
